#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#define MATRIX_SIZE 3

int main(void)
{
  srand(time(NULL));

  int m1[MATRIX_SIZE][MATRIX_SIZE];
  int m2[MATRIX_SIZE][MATRIX_SIZE];
  int m3[MATRIX_SIZE][MATRIX_SIZE];
  int i;
  int j;
  int k;
  int l;

  /*initialise*/
  for(i=0;i<MATRIX_SIZE;i++)
    {
      for(j=0;j<MATRIX_SIZE;j++)
	{
	  m1[i][j] = rand()%8;
	  m2[i][j] = rand()%5;
	}
    }

  /*multiply*/
  for(i = 0;i<MATRIX_SIZE;i++)
    {
      for(j=0;j<MATRIX_SIZE;j++)
	{
	  m3[i][j] = 0;
	  for(k = 0;k<MATRIX_SIZE;k++)
	    {
	      m3[i][j] += m1[i][k]*m2[k][j];
	    }
	}
    }
  
  /*print*/
  printf("M1\n");
  for(i=0;i<MATRIX_SIZE;i++)
    {
      for(j=0;j<MATRIX_SIZE;j++)
	{
	  printf("%d ",m1[i][j]);
	}
      printf("\n");
    }
  printf("M2\n");
  for(i=0;i<MATRIX_SIZE;i++)
    {
      for(j=0;j<MATRIX_SIZE;j++)
	{
	  printf("%d ",m2[i][j]);
	}
      printf("\n");
    }
  printf("M3\n");
  for(i=0;i<MATRIX_SIZE;i++)
    {
      for(j=0;j<MATRIX_SIZE;j++)
	{
	  printf("%d ",m3[i][j]);
	}
      printf("\n");
    }
  


  return 1;
}
