#include <stdio.h>
#include <math.h>

#define PI 3.14
#define NRVALUES 1000
#define RANGE 20.0

/*function definition*/
double getprob(double x, double mean, double sigma);

int main(void)
{
  int i;
  double x;

  x = -RANGE/2;
  for(i = 0;i<NRVALUES;i++,x+=RANGE/NRVALUES)
    {
      printf("%f\t%f\n",x,getprob(x,0.0,1.0));
    }

  return 0;
}

double getprob(double x, double mean, double sigma)
{
  double p;
  double Z;

  p = x-mean;
  p = pow(p,2);
  p /= 2.0*sigma*sigma;
  Z = 2*PI*sigma*sigma;
  Z = 1/sqrt(Z);
  p = Z*exp(-p);

  return p;
}
